import { get, post, put, del } from "@/utils/requestMethod";

/**
 * 获取用户列表
 * @param {*} status
 * @param {*} page
 * @param {*} page_size
 * @returns
 */
const getUserList = (
    status,
    page,
    page_size = 20,
) => {
    return get(
        `/users/user_list?status=${status}&page=${page}&page_size=${page_size}`
    );
}
//添加用户
const addUser = () => {
    let params = new FormData();
    return post(`/users/user`, params);
}
//获取用户详情
const getUserDetail = (
    id
) => {
    return get(`/users/user?id=${id}`);
}
//导出用户数据
const exportUserData = () => {
    return get(`/users/export_data`);
}
//删除用户
const deleteUser = () => {
    let params = new FormData();
    return del(`/users/user`, params);
}
//批量删除用户
const delUserByBatched = () => {
    return del(`/users/batch_delete_user`);
}
//更新用户详情
const updateUserDetail = () =>{
    let params = new FormData();
    return put(`/users/user`,params);
}
//修改用户状态等
const alterUserStatus = () => {
    return put(`/users/user_status`);
}
//批量修改用户状态等
const alterUserStatusByBatched = () =>{
    return put(`/users/batch_modify_user_status`);
}
export {
    getUserList, 
    addUser, 
    getUserDetail, 
    exportUserData ,
    deleteUser, 
    delUserByBatched,
    updateUserDetail,
    alterUserStatus,
    alterUserStatusByBatched
}